﻿using System.Collections.Generic;

namespace TestProject
{
    public class Category
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 키 - Key

        /// <summary>
        /// 키
        /// </summary>
        public int Key { get; set; }

        #endregion
        #region 카테고리명 - CategoryName

        /// <summary>
        /// 카테고리명
        /// </summary>
        public string CategoryName { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 리스트 구하기 - GetList()

        /// <summary>
        /// 리스트 구하기
        /// </summary>
        /// <returns>리스트</returns>
        public static List<Category> GetList()
        {
            List<Category> list = new List<Category>
            {
                new Category() { Key = 0, CategoryName = "Beverages" },
                new Category() { Key = 1, CategoryName = "Grains"    },
                new Category() { Key = 2, CategoryName = "Seafood"   }
            };

            return list;
        }

        #endregion

        ////////////////////////////////////////////////////////////////////////////////////////// Instance
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 문자열 구하기 - ToString()

        /// <summary>
        /// 문자열 구하기
        /// </summary>
        /// <returns>문자열</returns>
        public override string ToString()
        {
            return $"Category object {{ Key : {Key}, CategoryName : {CategoryName} }}";
        }

        #endregion
    }
}